OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_XLink Class Reference

An attribute to store the path and the entry of
external links.
These refer from one data structure to a data
structure in another document.
.

`#include <TDocStd_XLink.hxx>`

Inheritance diagram for TDocStd_XLink:

[legend]

## Public Member Functions
Standard_EXPORT | TDocStd_XLink ()
| Initializes fields. .
Standard_EXPORT Handle_TDF_Reference | Update ()
| Updates the data referenced in this external link attribute. .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | DocumentEntry (const TCollection_AsciiString &aDocEntry)
| Sets the name aDocEntry for the external document in this external link attribute. .
Standard_EXPORT const TCollection_AsciiString & | DocumentEntry () const
| Returns the contents of the document identified by aDocEntry. aDocEntry provides external data to this external link attribute. .
Standard_EXPORT void | LabelEntry (const TDF_Label &aLabel)
| Sets the label entry for this external link attribute with the label aLabel. aLabel pilots the importation of data from the document entry. .
Standard_EXPORT void | LabelEntry (const TCollection_AsciiString &aLabEntry)
| Sets the label entry for this external link attribute as a document identified by aLabEntry. .
Standard_EXPORT const TCollection_AsciiString & | LabelEntry () const
| Returns the contents of the field <mylabelentry>. .
Standard_EXPORT void | AfterAddition ()
| Updates the XLinkRoot attribute by adding <me> to its list. .
Standard_EXPORT void | BeforeRemoval ()
| Updates the XLinkRoot attribute by removing <me> from its list. .
virtual Standard_EXPORT Standard_Boolean | BeforeUndo (const Handle(TDF_AttributeDelta)&anAttDelta, const Standard_Boolean forceIt=Standard_False)
| Something to do before applying <anattdelta>. .
virtual Standard_EXPORT Standard_Boolean | AfterUndo (const Handle(TDF_AttributeDelta)&anAttDelta, const Standard_Boolean forceIt=Standard_False)
| Something to do after applying <anattdelta>. .
Standard_EXPORT Handle_TDF_Attribute | BackupCopy () const
| Returns a null handle. Raise allways for ,it is nonsense to use this method. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&anAttribute)
| Does nothing. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns a null handle. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&intoAttribute, const Handle(TDF_RelocationTable)&aRelocationTable) const
| Does nothing. .
Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the attribute on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_TDocStd_XLink | Set (const TDF_Label &atLabel)
| Sets an empty external reference, at the label aLabel. .
static Standard_EXPORT const Standard_GUID & | GetID ()
| Returns the GUID for external links. .
## Private Member Functions
void | Next (const TDocStd_XLinkPtr &anXLinkPtr)
| Sets the field <mynext> with <anxlinkptr>. .
TDocStd_XLinkPtr | Next () const
| Returns the contents of the field <mynext>. .
## Private Attributes
TCollection_AsciiString | myDocEntry
TCollection_AsciiString | myLabelEntry
TDocStd_XLinkPtr | myNext

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_XLink::TDocStd_XLink | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TDocStd_XLink::AfterAddition | ( |  | ) | `[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT Standard_Boolean TDocStd_XLink::AfterUndo | ( | const Handle(TDF_AttributeDelta)& | anAttDelta,
|  | const Standard_Boolean | forceIt = `Standard_False`
| ) | `[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDocStd_XLink::BackupCopy | ( |  | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT void TDocStd_XLink::BeforeRemoval | ( |  | ) | `[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT Standard_Boolean TDocStd_XLink::BeforeUndo | ( | const Handle(TDF_AttributeDelta)& | anAttDelta,
|  | const Standard_Boolean | forceIt = `Standard_False`
| ) | `[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT const TCollection_AsciiString& TDocStd_XLink::DocumentEntry | ( |  | ) | const

Standard_EXPORT void TDocStd_XLink::DocumentEntry | ( | const TCollection_AsciiString & | aDocEntry | ) |

Standard_EXPORT Standard_OStream& TDocStd_XLink::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TDocStd_XLink::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDocStd_XLink::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDocStd_XLink::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT const TCollection_AsciiString& TDocStd_XLink::LabelEntry | ( |  | ) | const

Standard_EXPORT void TDocStd_XLink::LabelEntry | ( | const TCollection_AsciiString & | aLabEntry | ) |

Standard_EXPORT void TDocStd_XLink::LabelEntry | ( | const TDF_Label & | aLabel | ) |

Standard_EXPORT Handle_TDF_Attribute TDocStd_XLink::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

TDocStd_XLinkPtr TDocStd_XLink::Next | ( |  | ) | const`[inline, private]`

void TDocStd_XLink::Next | ( | const TDocStd_XLinkPtr & | anXLinkPtr | ) | `[inline, private]`

Standard_EXPORT void TDocStd_XLink::Paste | ( | const Handle(TDF_Attribute)& | intoAttribute,
|  | const Handle(TDF_RelocationTable)& | aRelocationTable
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDocStd_XLink::Restore | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDocStd_XLink TDocStd_XLink::Set | ( | const TDF_Label & | atLabel | ) | `[static]`

Standard_EXPORT Handle_TDF_Reference TDocStd_XLink::Update | ( |  | ) |

## Field Documentation

TCollection_AsciiString TDocStd_XLink::myDocEntry`[private]`

TCollection_AsciiString TDocStd_XLink::myLabelEntry`[private]`

TDocStd_XLinkPtr TDocStd_XLink::myNext`[private]`

| Reimplemented from TDF_Attribute.

The documentation for this class was generated from the following files:

- TDocStd_XLink.hxx
- TDocStd_XLink.lxx